package scuola;


/**
 * @author luigi
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public class Segreteria {
	
	public GestioneStudenti _studenti;
	public GestioneProfessori _professori;
	
	Segreteria() {
		_studenti = new GestioneStudenti();
		_professori = new GestioneProfessori();
	}
	
	public void disiscriviStudente(int matricola) {
		_studenti.disiscriviStudente(matricola);
	}
	
	public void disiscriviStudente(Studente studente) {
		_studenti.disiscriviStudente(studente);
	}
	
	public boolean eIscritto(int matricola) {
		return _studenti.eIscritto(matricola);
	}
	
	public boolean eIscritto(Persona persona) {
		return _studenti.eIscritto(persona);
	} 

	public Studente getStudente(int matricola) {
		return _studenti.getStudente(matricola);
	} 
	
	public Studente iscriviStudente(Persona persona) {
		return _studenti.iscriviStudente(persona);
	} 

	public int numeroDiStudenti() {
		return _studenti.numeroDiStudenti();
	}
	
	public void licenziaProfessore(int matricola) {
		_professori.licenziaProfessore(matricola);
	}
	
	public void licenziaProfessore(Professore professore) {
		_professori.licenziaProfessore(professore);
	}
	
	public boolean eDipendente(int matricola) {
		return _professori.eDipendente(matricola);
	}
	
	public boolean eDipendente(Persona persona) {
		return _professori.eDipendente(persona);
	} 

	public Professore getProfessore(int matricola) {
		return _professori.getProfessore(matricola);
	} 
	
	public Professore assumiProfessore(Persona persona) {
		return _professori.assumiProfessore(persona);
	} 

	public int numeroDiProfessori() {
		return _professori.numeroDiProfessori();
	}
	
}
